#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <usb.h>		
#include "usb_my.h"
#include "lcd.h"

int
main (int argc, char **argv)
{
  int i,j;
  usb_dev_handle *handle = NULL;
  usb_init ();
  if ((handle = findDevice ()) == NULL)
    {
      fprintf (stderr,
	       "Could not find USB device \"HID LCD\" with vid=0x%x pid=0x%x\n",
	       USBDEV_SHARED_VENDOR, USBDEV_SHARED_PRODUCT);
      exit (1);
    }

    clearscreen(0);update_screen(handle);
    for(i=0;i<WIDTH;i++){
	for(j=0;j<HEIGHT;j++){
	    putpixel(i,j,(i*i+j*j)%2);
	};
   };
   update_screen(handle);
      printf ("test succeeded\n");
  usb_close (handle);
  return 0;
}
